- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists a file's comments. For more information, see Manage comments and replies.
Required: The fields parameter must be set. To return the exact fields you need, see Return specific fields.
HTTP request
GET https://www.googleapis.com/drive/v3/files/{fileId}/comments
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
fileId |
The ID of the file. |
Query parameters
| Parameters | |
|---|---|
includeDeleted |
Whether to include deleted comments. Deleted comments will not include their original content. |
pageSize |
The maximum number of comments to return. The service may return fewer than this value. If unspecified, at most 20 comments will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
pageToken |
The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response. |
startModifiedTime |
The minimum value of 'modifiedTime' for the result comments (RFC 3339 date-time). |
Request body
The request body must be empty.
Response body
A list of comments on a file.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"comments": [
{
object ( |
| Fields | |
|---|---|
comments[] |
The list of comments. If nextPageToken is populated, then this list may be incomplete and an additional page of results should be fetched. |
kind |
Identifies what kind of resource this is. Value: the fixed string |
nextPageToken |
The page token for the next page of comments. This will be absent if the end of the comments list has been reached. If the token is rejected for any reason, it should be discarded, and pagination should be restarted from the first page of results. The page token is typically valid for several hours. However, if new items are added or removed, your expected results might differ. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/drive.meet.readonlyhttps://www.googleapis.com/auth/drive.readonly
Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.